# LOAN

The status of a customer's loan has changed. Please note that webhook payload is returned as a JSON-encoded string.

Endpoint: POST loan
Version: 1.0

## Request fields (application/json):

  - `payload` (object)
    An object containing the webhook payload.

  - `payload.total_loan_expenses` (object,null)
    An object representing the loan total expenses (e.g., costs and expenses the lender incurred during a loan lifecycle).
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `payload.total_loan_expenses.value` (integer, required)
    The amount value
    Example: 1000

  - `payload.total_loan_expenses.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `payload.total_loan_expenses.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `payload.term` (number)
    The number of months over which the loan will be repaid.
    Example: 24

  - `payload.status_reason` (string,null)
    Additional context around the loan status.
    Enum: "upfront_subsidy_pull_failed_collateral_account_not_set", "upfront_subsidy_pull_failed_debit_blocked", "upfront_subsidy_pull_failed_insufficient_funds"

  - `payload.status` (string)
    The loan's status.
    Enum: "payout_initiation_pending", "payout_initiation_blocked", "payout_pending", "payout_issued", "all_obligations_met"

  - `payload.repayment_plan_updated_at` (string,null)
    The date when the loan's repayment plan was last updated.
    Example: "2021-04-16T13:52:05Z"

  - `payload.repayment_plan_created_at` (string,null)
    The date when the loan's repayment plan was created.
    Example: "2020-04-16T13:52:05Z"

  - `payload.repayment_begin_date` (string)
    The date when the loan's first monthly installment is due.
    Example: "2020-05-16"

  - `payload.reference` (string,null)
    A reference for the loan.

  - `payload.recipient_iban` (string)
    The IBAN to which the loan is paid out.
    Example: "DE88888881010987654321"

  - `payload.purpose` (string,null)
    The purpose of the loan.
    Example: "Buying a car."

  - `payload.person_id` (string)
    The person ID of the customer getting the loan.
    Example: "547a870b2c8461a3104559369d09265dcper"

  - `payload.payout_date` (string)
    The date when the loan will be paid out.
    Example: "2020-05-16"

  - `payload.overdue_amount` (object)
    An object representing the loan overdue amount.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `payload.overdue_amount.value` (integer, required)
    The amount value
    Example: 1000

  - `payload.overdue_amount.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `payload.overdue_amount.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `payload.monthly_payment` (object,null)
    An object representing the loan monthly installment amount.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `payload.monthly_payment.value` (integer, required)
    The amount value
    Example: 1000

  - `payload.monthly_payment.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `payload.monthly_payment.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `payload.maturity_date` (string,null)
    The date when the final loan payment is due.
    Example: "2022-05-16"

  - `payload.loan_account_id` (string,null)
    The account ID to which the loan is attached.
    Example: "adc123a45d6d7cf8fbfeed537ba919d5cacc"

  - `payload.loan_account_iban` (string,null)
    The IBAN of the account to which the loan is attached.
    Example: "DE72110101014351836685"

  - `payload.interest_start_date` (string)
    The date when the interest starts accruing on a loan.
    Example: "2021-06-16"

  - `payload.interest_rate` (number)
    The monthly interest rate applied to a loan.
    Example: 0.0499

  - `payload.id` (string)
    The ID of the loan.
    Example: "c13447d659db4cdcb450b977f8f25c57cloa"

  - `payload.effective_interest_rate` (number)
    The annual effective interest rate applied to the loan.
    Example: 0.0511

  - `payload.created_at` (string)
    The date when the loan was created.
    Example: "2021-06-16T10:22:38"

  - `payload.billing_account_id` (string,null)
    The ID of the customer's billing account from which all the loan payments will be debited.
    Example: "1d0e52af0a62b4b44d8c54a87a7fc6a7cacc"

  - `payload.billing_account_iban` (string,null)
    The IBAN of the customer's billing account associated with the loan.
    Example: "DE72110101014351836685"

  - `payload.annual_percentage_rate` (number)
    A percentage that represents the yearly cost of funds over the term of a loan. It includes interest, fees and additional costs associated with a loan.

  - `payload.amount` (object)
    The loan amount.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `payload.amount.value` (integer, required)
    The amount value
    Example: 1000

  - `payload.amount.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `payload.amount.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `event_type` (string)
    The webhook event name.
    Example: "LOAN"

  - `entity_uuid` (string)
    The resource ID of the loan.
    Example: "82d78c39956645ffbd59c51cdb63f7b0cloa"


## Response 200 fields
